SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Database)  >   IBM DB2 Vendors:   IBM
(IBM Issues Fix for IBM DB2) Apache Xerces-C Buffer Overflow Lets Remote Users Deny Service or Potentially Execute Arbitrary Code
SecurityTracker Alert ID:  1036839
SecurityTracker URL:  http://securitytracker.com/id/1036839
CVE Reference:   CVE-2016-0729   (Links to External Site)
Date:  Sep 16 2016
Impact:   Denial of service via network, Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 10.1, 10.5, 11.1
Description:   A vulnerability was reported in Apache Xerces-C. A remote user can execute arbitrary code on the target system. IBM DB2 is affected.

A remote user can send specially crafted documents to trigger a buffer overflow in the XML parser library and cause the target application to crash or potentially execute arbitrary code on the target system.

Gustavo Grieco reported this vulnerability.

Impact:   A remote user can cause the target application to crash or potentially execute arbitrary code.
Solution:   IBM has issued a fix for CVE-2016-0729 for IBM DB2 (10.5 FP8).

The IBM advisory is available at:

http://www.ibm.com/support/docview.wss?uid=swg21989842

Vendor URL:  www.ibm.com/support/docview.wss?uid=swg21989842 (Links to External Site)
Cause:   Boundary error
Underlying OS:  Linux (Any), UNIX (AIX)

Message History:   This archive entry is a follow-up to the message listed below.
Feb 26 2016 Apache Xerces-C Buffer Overflow Lets Remote Users Deny Service or Potentially Execute Arbitrary Code



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC